Subject: bug#32666: fdisk output

From: "Brian C. Lane" <[email-masked]>
Date: Wed, 24 Apr 2019 08:33:38 -0700

On Wed, Apr 24, 2019 at 04:08:26PM +0100, Nikolaus Rath wrote:
> On Apr 22 2019, Phillip Susi <[email-masked]> wrote:
> > Nikolaus Rath writes:
> >
> >> /dev/sdb6       739131392 739588095    456704   223M 83 Linux
> >> /dev/sdb7       739588096 773142527  33554432    16G 8e Linux LVM
> >
> > sdb7 starts in the very next sector after sdb6, so there is no room here
> > for the EBR.
> 
> ...right, but should that really result in a hard crash of the fdisk
> program? I think the proper behavior would be to print exactly what you
> wrote and exit gracefully :-)

Given the number of times this has come up it's probably worth looking
into changing the assertion to something more understandable.

-- 
Brian C. Lane (PST8PDT)